"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigs = void 0;
const node_path_1 = require("path");
const promises_1 = require("fs/promises");
const jsonc_js_1 = require("../polyfills/jsonc.js");
const poku_js_1 = require("../configs/poku.js");
const getConfigs = async (customPath) => {
    const expectedFiles = customPath
        ? [customPath]
        : new Set([
            'poku.config.js',
            'poku.config.cjs',
            '.pokurc.json',
            '.pokurc.jsonc',
        ]);
    for (const file of expectedFiles) {
        const filePath = (0, node_path_1.join)(poku_js_1.GLOBAL.cwd, file);
        try {
            if (filePath.endsWith('.js') || filePath.endsWith('.cjs'))
                return require(`file://${(0, node_path_1.normalize)(filePath)}`);
            const configsFile = await (0, promises_1.readFile)(filePath, 'utf8');
            return jsonc_js_1.JSONC.parse(configsFile);
        }
        catch { }
    }
    return {};
};
exports.getConfigs = getConfigs;
